Bug 498285 - Review Request: mozilla-adblockplus - Adblocking extension for Mozilla Firefox
Review Request: mozilla-adblockplus - Adblocking extension for Mozilla Firefox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 14:00 EDT by Andreas Thienemann
Modified: 2009-08-27 10:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 10:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nb: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2009-04-29 14:00:54 EDT
Spec URL: http://home.bawue.de/~ixs/mozilla-adblockplus/mozilla-adblockplus.spec
SRPM URL: http://home.bawue.de/~ixs/mozilla-adblockplus/mozilla-adblockplus-1.0.2-1.fc7.src.rpm
Description:
Adblock Plus is a content-filtering extension for the Mozilla Firefox- and
Mozilla Application Suite-based web browsers. Adblock Plus allows users to
prevent page elements, such as advertisements, from being downloaded and
displayed.
It features improvements to the user interface, filter subscriptions, and
element hiding over the original Adblock extesion.

rpmlint complains a bit:
mozilla-adblockplus.i386: W: no-documentation
mozilla-adblockplus.i386: E: no-binary
mozilla-adblockplus.i386: E: only-non-binary-in-usr-lib

These errors are ignorable. Normally this extension would better be packed as a noarch rpm as no architecture specific binaries are included. This is not possible however due to the use of /usr/lib and /usr/lib64 by the mozilla-filesystem rpm, which is arch specific.
Documentation: There's none, there is only a webpage...
Comment 1 Andreas Thienemann 2009-07-19 10:51:31 EDT
New package at http://home.bawue.de/~ixs/mozilla-adblockplus/mozilla-adblockplus-1.1-1.fc11.src.rpm

This fixes the observed problem with the file dependency and updates to the newest upstream release. The file dependency seems to be a problem of RPM though and should be fixed.
Comment 2 Nick Bebout 2009-07-28 13:12:53 EDT
OK # MUST: rpmlint must be run on every package. The output should be posted in the review.[1]  

The packager has explained the reason for these errors and warnings.

[nb@nb-desktop SPECS]$ rpmlint mozilla-adblockplus.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@nb-desktop SRPMS]$ rpmlint mozilla-adblockplus-1.1-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[nb@nb-desktop i586]$ rpmlint mozilla-adblockplus-1.1-1.fc11.i586.rpm 
mozilla-adblockplus.i586: E: no-binary
mozilla-adblockplus.i586: W: only-non-binary-in-usr-lib
mozilla-adblockplus.i586: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


YES # MUST: The package must be named according to the Package Naming Guidelines .
YES # MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
YES # MUST: The package must meet the Packaging Guidelines .
YES # MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
YES # MUST: The License field in the package spec file must match the actual license. [3]
# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
YES # MUST: The spec file must be written in American English. [5]
YES # MUST: The spec file for the package MUST be legible. [6]
YES # MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
YES # MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
N/A # MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
YES # MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
N/A # MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A # MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
N/A # MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [11]
YES # MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
YES # MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
YES # MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
YES # MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
YES # MUST: Each package must consistently use macros. [16]
YES # MUST: The package must contain code, or permissable content. [17]
N/A # MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
YES # MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
YES # MUST: Header files must be in a -devel package. [19]
YES # MUST: Static libraries must be in a -static package. [20]
YES # MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [21]
YES # MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
YES # MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} [22]
YES # MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
YES # MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [23]
YES # MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
YES # MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
YES # MUST: All filenames in rpm packages must be valid UTF-8. [26]

APPROVED by nb.
Comment 3 Andreas Thienemann 2009-07-28 13:21:02 EDT
New Package CVS Request
=======================
Package Name: mozilla-adblockplus
Short Description: Adblocking extension for Mozilla Firefox
Owners: ixs
Branches: F-10 F-11 EL-5
Comment 4 Jason Tibbitts 2009-07-28 21:00:01 EDT
CVS done.
Comment 5 Dominik 'Rathann' Mierzejewski 2009-07-29 07:59:54 EDT
I see you've just ignored the noarch issue instead of exploring ways of fixing it.
Are you certain that firefox cannot pick up its extensions from an arch-agnostic directory like /usr/share/firefox/extensions? If it can't, maybe it can be fixed to do so. Have you asked firefox maintainers and/or developers about that?
I know this package is small, but I feel any duplication of files should be avoided.
Comment 6 Jonathan Dieter 2009-07-30 11:41:42 EDT
You can install noarch to /usr/share/mozilla/extensions and it will work perfectly.

Note You need to log in before you can comment on or make changes to this bug.